libzypp 17.37.10

zypp::debug::Osd Struct Reference

`#include <zypp-core/base/Logger.h>`

## Public Member Functions
| Osd (std::ostream &, int=0)
| ~Osd ()
template<class Tp>
Osd & | operator<< (Tp &&val)
Osd & | operator<< (std::ostream &(*iomanip)(std::ostream &))

## Private Attributes
std::ostream & | _strout
std::ostream & | _strlog

## Detailed Description

Definition at line 46 of file Logger.h.

## Constructor & Destructor Documentation

## ◆ Osd()

zypp::debug::Osd::Osd | ( | std::ostream & | str,
|  | int | i = 0 )

Definition at line 343 of file LogControl.cc.

## ◆ ~Osd()

zypp::debug::Osd::~Osd | ( |  | ) |

Definition at line 348 of file LogControl.cc.

## Member Function Documentation

## ◆ operator<<() [1/2]

template<class Tp>

Osd & zypp::debug::Osd::operator<< | ( | Tp && | val | ) |
| inline

Definition at line 52 of file Logger.h.

## ◆ operator<<() [2/2]

Osd & zypp::debug::Osd::operator<< | ( | std::ostream &(* | iomanip )(std::ostream &) | ) |

Definition at line 351 of file LogControl.cc.

## Member Data Documentation

## ◆ _strout

std::ostream& zypp::debug::Osd::_strout
| private

Definition at line 62 of file Logger.h.

## ◆ _strlog

std::ostream& zypp::debug::Osd::_strlog
| private

Definition at line 63 of file Logger.h.

The documentation for this struct was generated from the following files:

- zypp-core/base/Logger.h
- zypp-core/base/LogControl.cc